Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.parsers
Class SecurityConfiguration

    java.lang.Object
      |
      +--org.apache.xerces.util.ParserConfigurationSettings
            |
            +--org.apache.xerces.parsers.XML11Configuration
                  |
                  +--org.apache.xerces.parsers.SecurityConfiguration

All Implemented Interfaces:
  org.apache.xerces.xni.parser.XMLComponentManager, org.apache.xerces.xni.parser.XMLParserConfiguration, org.apache.xerces.xni.parser.XMLPullParserConfiguration

public class SecurityConfiguration
extends XML11Configuration

This configuration allows Xerces to behave in a security-conscious manner; that is, it permits applications to instruct Xerces to limit certain operations that could be exploited by malicious document authors to cause a denail-of-service attack when the document is parsed. In addition to the features and properties recognized by the base parser configuration, this class recognizes these additional features and properties:

- Properties
  - http://apache.org/xml/properties/security-manager

Version:
  $Id: SecurityConfiguration.java,v 1.4 2004/02/16 19:28:30 mrglavas Exp $
Author:
  Neil Graham, IBM

Field Summary
`protected static java.lang.String` | `SECURITY_MANAGER_PROPERTY`

Fields inherited from class org.apache.xerces.parsers.XML11Configuration
`ALLOW_JAVA_ENCODINGS, CONTINUE_AFTER_FATAL_ERROR, DATATYPE_VALIDATOR_FACTORY, DOCUMENT_SCANNER, DTD_PROCESSOR, DTD_SCANNER, DTD_VALIDATOR, ENTITY_MANAGER, ENTITY_RESOLVER, ERROR_HANDLER, ERROR_REPORTER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fCommonComponents, fComponents, fConfigUpdated, fCurrentDTDScanner, fCurrentDVFactory, fCurrentScanner, fDatatypeValidatorFactory, fDocumentHandler, fDTDContentModelHandler, fDTDHandler, fDTDProcessor, fDTDScanner, fDTDValidator, fEntityManager, fErrorReporter, fGrammarPool, fInputSource, fLastComponent, fLocale, fLocator, fNamespaceScanner, fNonNSDTDValidator, fNonNSScanner, fParseInProgress, fSchemaValidator, fSymbolTable, fValidationManager, fVersionDetector, fXML11Components, fXML11DatatypeFactory, fXML11DocScanner, fXML11DTDProcessor, fXML11DTDScanner, fXML11DTDValidator, fXML11NSDocScanner, fXML11NSDTDValidator, JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, LOAD_EXTERNAL_DTD, NAMESPACE_BINDER, NAMESPACES, NORMALIZE_DATA, NOTIFY_BUILTIN_REFS, NOTIFY_CHAR_REFS, PRINT_EXCEPTION_STACK_TRACE, SCHEMA_AUGMENT_PSVI, SCHEMA_ELEMENT_DEFAULT, SCHEMA_LOCATION, SCHEMA_NONS_LOCATION, SCHEMA_VALIDATOR, SYMBOL_TABLE, VALIDATION, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF, WARN_ON_DUPLICATE_ENTITYDEF, WARN_ON_UNDECLARED_ELEMDEF, XML_STRING, XML11_DATATYPE_VALIDATOR_FACTORY, XMLGRAMMAR_POOL, XMLSCHEMA_FULL_CHECKING, XMLSCHEMA_VALIDATION`

Fields inherited from class org.apache.xerces.util.ParserConfigurationSettings
`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties, PARSER_SETTINGS`

Constructor Summary
`SecurityConfiguration()` Default constructor.
`SecurityConfiguration(SymbolTable symbolTable)` Constructs a parser configuration using the specified symbol table.
`SecurityConfiguration(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)` Constructs a parser configuration using the specified symbol table and grammar pool.
`SecurityConfiguration(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool, org.apache.xerces.xni.parser.XMLComponentManager parentSettings)` Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

Methods inherited from class org.apache.xerces.parsers.XML11Configuration
`addCommonComponent, addComponent, addRecognizedParamsAndSetDefaults, addXML11Component, checkFeature, checkProperty, cleanup, configurePipeline, configureXML11Pipeline, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getLocale, parse, parse, reset, resetCommon, resetXML11, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setInputSource, setLocale, setProperty`

Methods inherited from class org.apache.xerces.util.ParserConfigurationSettings
`addRecognizedFeatures, addRecognizedProperties, getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties, getProperty`

Field Detail

### SECURITY_MANAGER_PROPERTY

    protected static final java.lang.String SECURITY_MANAGER_PROPERTY

Constructor Detail

### SecurityConfiguration

    public SecurityConfiguration()

  Default constructor.

### SecurityConfiguration

    public SecurityConfiguration(SymbolTable symbolTable)

  Constructs a parser configuration using the specified symbol table.
  Parameters:
    `symbolTable` - The symbol table to use.

### SecurityConfiguration

    public SecurityConfiguration(SymbolTable symbolTable,
                                 org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)

  Constructs a parser configuration using the specified symbol table and grammar pool.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.

### SecurityConfiguration

    public SecurityConfiguration(SymbolTable symbolTable,
                                 org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool,
                                 org.apache.xerces.xni.parser.XMLComponentManager parentSettings)

  Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.
    `parentSettings` - The parent settings.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.